Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 820195 - Failure to load Analyzer class when deployed into AS7 as module
Summary: Failure to load Analyzer class when deployed into AS7 as module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: HibernateSearch
Version: 2.0.0.ER5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 2.0.0.ER6
Assignee: Strong Liu
QA Contact: Karel Piwko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-09 11:32 UTC by Emmanuel Bernard
Modified: 2013-12-02 23:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-24 14:43:18 UTC
Type: Bug


Attachments (Terms of Use)
Modeshape module with HSearch (deleted)
2012-06-06 13:03 UTC, Karel Piwko
no flags Details

Description Emmanuel Bernard 2012-05-09 11:32:42 UTC
https://hibernate.onjira.com/browse/HSEARCH-1115

Useful for CapeDwarf and Modeshape's projects

Comment 1 Emmanuel Bernard 2012-05-09 11:32:56 UTC
Fixed in upstream/master

Comment 2 Strong Liu 2012-05-11 13:08:05 UTC
it is fixed in prod branch now and will be released within WFK 2.0 ER6

Comment 4 Strong Liu 2012-06-05 13:52:23 UTC
Karel,

Have you tested the deployment and reproduce this issue within AS7?

the compare means nothing.

NOTE, this is the product branch, there is no guarantee that we keep it identical with Emmanuel's personal branch nor the community code, so, please stop using this way to verify issues.

and if you really want to compare, then you should use community code, see here https://github.com/hibernate/hibernate-search/blob/master/hibernate-search-orm/src/main/java/org/hibernate/search/query/hibernate/impl/LoaderHelper.java

Comment 5 Karel Piwko 2012-06-06 13:03:09 UTC
Created attachment 589877 [details]
Modeshape module with HSearch

Comment 6 Karel Piwko 2012-06-06 13:05:37 UTC
Yes, functionality was verified.

Note, a pointer to a commit would be much more useful than "it is fixed in prod branch now and will be released within WFK 2.0 ER6" message. Alas, bugzilla does not do that for us automatically, so it is a good idea to paste it by hand.

Comment 7 Strong Liu 2012-06-06 14:10:54 UTC
Karel,

why do you need to know the commit from BZ?
it is clearly list in the git repo history, just a simple "git log" would resolve this.

Comment 8 Karel Piwko 2012-06-06 15:07:36 UTC
Strong, for consistency purposes only:

1/ Marek does this
2/ I'm used to "All" workflow from JIRA, which was showing all in one place, including commits related
3/ I usually work on top of sources in wfk dist, not in git.app.eng repo, so an url link speeds it up from me.

So, if you are able to include a link with the fix commit(s) into a comment, it would simply enhance my effectivity.

Comment 9 Karel Piwko 2012-09-24 14:43:18 UTC
Fixed in WFK 2.0.0.GA.


Note You need to log in before you can comment on or make changes to this bug.